
function getposition(obj) {
	var r = new Array();
	r['x'] = obj.offsetLeft;
	r['y'] = obj.offsetTop;
	while(obj = obj.offsetParent) {
		r['x'] += obj.offsetLeft;
		r['y'] += obj.offsetTop;
	}
	return r;
}

function showhintinfo(obj, objleftoffset,objtopoffset, title, info , objheight, showtype ,objtopfirefoxoffset)
{
   
   var p = getposition(obj);
   
   if((showtype==null)||(showtype =="")) 
   {
       showtype =="up";
   }
   document.getElementById('hintiframe'+showtype).style.height= objheight + "px";
   
   
   //document.getElementById('hinttitle').innerHTML = title;
   document.getElementById('hintinfo'+showtype).innerHTML = info;
   document.getElementById('hintdiv'+showtype).style.display='block';
   
   if((objtopfirefoxoffset != null)&& !isie())
   {
        document.getElementById('hintdiv'+showtype).style.top=p['y']+objtopfirefoxoffset+"px";
   }
   else
   {
        /*
        var linenumber = parseInt((getLen(info)/30),10);
        var top = 55;
        for(i=0 ; i< linenumber; i++)
        {
           if (i>0) 
           {
              top += 20;
           }
        }
        //alert(getLen(info));
        if((linenumber>0) && (getLen(info).length%30>0))
        {
           top+=20;
        }
        
        //alert(top);
        document.getElementById('hintdiv'+showtype).style.top=p['y']-top+"px";
        */
        
        //document.getElementById('hintdiv'+showtype).style.top=p['y']+objtopoffset+"px";
        ///alert(document.getElementById('hintinfoup').offsetHeight);
        
        if(objtopoffset == 0)
        { 
			if(showtype=="up")
			{
				 document.getElementById('hintdiv'+showtype).style.top=p['y']-document.getElementById('hintinfo'+showtype).offsetHeight-40+"px";
			}
			else
			{
				 document.getElementById('hintdiv'+showtype).style.top=p['y']+obj.offsetHeight+5+"px";
			}
        }
        else
        {
			document.getElementById('hintdiv'+showtype).style.top=p['y']+objtopoffset+"px";
        }
   }
   document.getElementById('hintdiv'+showtype).style.left=p['x']+objleftoffset+"px";
}



//Òþ²ØÌáÊ¾²ã´úÂë
function hidehintinfo()
{
    document.getElementById('hintdivup').style.display='none';
    document.getElementById('hintdivdown').style.display='none';
}